# XmMainWindow

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmMainWindow - Motif-compatible main-window widget

## SYNOPSIS

#include <Xm/MainW.h>

XmMainWindow

XmCreateMainWindow

## DESCRIPTION

XmMainWindow

## X RESOURCES

Name | Class | Type | Default | Access
XmNcommandWindow | XmCCommandWindow | Widget | NULL | CSG
XmNcommandWindowLocation | XmCCommandWindowLocation | CommandWindowLocation | NULL | CSG
XmNmenuBar | XmCMenuBar | Widget | NULL | CSG
XmNmessageWindow | XmCMessageWindow | Widget | NULL | CSG
XmNmainWindowMarginWidth | XmCMainWindowMarginWidth | HorizontalDimension | NULL | CSG
XmNmainWindowMarginHeight | XmCMainWindowMarginHeight | VerticalDimension | NULL | CSG
XmNshowSeparator | XmCShowSeparator | Boolean | NULL | CSG

XmNcommandWindow

XmNcommandWindowLocation

XmNmenuBar

XmNmessageWindow

XmNmainWindowMarginWidth

XmNmainWindowMarginHeight

XmNshowSeparator

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) Composite(3) Constraint(3) XmManager(3) XmScrolledWindow(3) XmMainWindow(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.